---
title: "List external sharing audit"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/collections/{id}/external-sharing/audit`

## Path parameters

- `entityId` (`collection-list-external-sharing-audit.path.entityId`; string, required)
  - format `uuid`
- `id` (`collection-list-external-sharing-audit.path.id`; string, required)
  - format `uuid`

## Query parameters

- `limit` (`collection-list-external-sharing-audit.query.limit`; integer, optional)
  - min 1; max 100; default `20`
- `offset` (`collection-list-external-sharing-audit.query.offset`; integer, optional)
  - min 0; default `0`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/collections/<id>/external-sharing/audit'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/collections/<id>/external-sharing/audit';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/collections/<id>/external-sharing/audit"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "changedByUserId": "string",
      "previousEnabled": true,
      "enabled": true,
      "reason": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`collection-list-external-sharing-audit.response.200.data`; array<object>, required)
  - `id` (`collection-list-external-sharing-audit.response.200.data.id`; string, required)
    - format `uuid`
  - `collectionId` (`collection-list-external-sharing-audit.response.200.data.collectionId`; string, required)
    - format `uuid`
  - `entityId` (`collection-list-external-sharing-audit.response.200.data.entityId`; string, required)
    - format `uuid`
  - `changedByUserId` (`collection-list-external-sharing-audit.response.200.data.changedByUserId`; string, required)
  - `previousEnabled` (`collection-list-external-sharing-audit.response.200.data.previousEnabled`; boolean, required)
  - `enabled` (`collection-list-external-sharing-audit.response.200.data.enabled`; boolean, required)
  - `reason` (`collection-list-external-sharing-audit.response.200.data.reason`; string, required, nullable)
  - `createdAt` (`collection-list-external-sharing-audit.response.200.data.createdAt`; string, required)
    - format `date-time`
- `meta` (`collection-list-external-sharing-audit.response.200.meta`; object, required)
  - `total` (`collection-list-external-sharing-audit.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`collection-list-external-sharing-audit.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`collection-list-external-sharing-audit.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`collection-list-external-sharing-audit.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`collection-list-external-sharing-audit.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`collection-list-external-sharing-audit.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-external-sharing-audit.response.400.error`; object, required)
  - `code` (`collection-list-external-sharing-audit.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-external-sharing-audit.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-external-sharing-audit.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-external-sharing-audit.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-external-sharing-audit.response.401.error`; object, required)
  - `code` (`collection-list-external-sharing-audit.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-external-sharing-audit.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-external-sharing-audit.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-external-sharing-audit.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-external-sharing-audit.response.403.error`; object, required)
  - `code` (`collection-list-external-sharing-audit.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-external-sharing-audit.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-external-sharing-audit.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-external-sharing-audit.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-external-sharing-audit.response.404.error`; object, required)
  - `code` (`collection-list-external-sharing-audit.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-external-sharing-audit.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-external-sharing-audit.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-external-sharing-audit.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-external-sharing-audit.response.409.error`; object, required)
  - `code` (`collection-list-external-sharing-audit.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-external-sharing-audit.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-external-sharing-audit.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-external-sharing-audit.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-external-sharing-audit.response.500.error`; object, required)
  - `code` (`collection-list-external-sharing-audit.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-external-sharing-audit.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-external-sharing-audit.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-external-sharing-audit.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/collection-list-external-sharing-audit/index.md
